GtkDatabox A set of GTK+ widgets to display large amounts of numerical data quickly and easily.

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions
gtk/gtkdatabox_regions.c File Reference
`#include <gtkdatabox_regions.h>`
Include dependency graph for gtkdatabox_regions.c:

## Data Structures

struct | _GtkDataboxRegionsPrivate

## Functions

GType | gtk_databox_regions_get_type (void)
GtkDataboxGraph * | gtk_databox_regions_new (guint len, gfloat *X, gfloat *Y1, gfloat *Y2, GdkColor *color)

## Function Documentation

GType gtk_databox_regions_get_type | ( | void |  | ) |

GtkDataboxGraph* gtk_databox_regions_new | ( | guint | len,
|  | gfloat * | X,
|  | gfloat * | Y1,
|  | gfloat * | Y2,
|  | GdkColor * | color
| ) |  |

gtk_databox_regions_new: : length of , and : array of ordinates : array of co-ordinates : array of co-ordinates : color of the markers

Creates a new GtkDataboxRegions object which can be added to a GtkDatabox widget

Return value: A new GtkDataboxRegions object

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines